IntroductionAuthenticationSelecting dataFiltering
Sorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Filtering

Filters can be applied on each list, update and delete request, to restrict the rows affected by the request. For a complete list of filters refer to the PostgREST documentation.

Listing confirmed calendar_events
curl -X GET "https://api.bookingmood.com/v1/calendar_events?status=eq.CONFIRMED" \
  -H "Authorization: Bearer YOUR_API_KEY"
Filtering by multiple columns
curl -X GET "https://api.bookingmood.com/v1/calendar_events?status=eq.CONFIRMED&type=eq.booking" \
  -H "Authorization: Bearer YOUR_API_KEY"
Deleting test contacts
curl -X DELETE "https://api.bookingmood.com/v1/contacts?email=like.%test.com" \
  -H "Authorization: Bearer YOUR_API_KEY"